The Spring Framework

## org.springframework.test.annotation
Annotation Type Rollback

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    @Documented
    public @interface Rollback

Test annotation to indicate whether or not the transaction for the annotated test method should be rolled back after the test method has completed. If `true`, the transaction will be rolled back; otherwise, the transaction will be committed.

Since:
  2.5
Author:
  Sam Brannen

Optional Element Summary
`boolean` `value` Whether or not the transaction for the annotated method should be rolled back after the method has completed.

### value

    public abstract boolean value

  Whether or not the transaction for the annotated method should be rolled back after the method has completed.

  Default:
    true

The Spring Framework

Copyright © 2002-2008 The Spring Framework.